<script setup lang="ts">
const { status, data, signOut } = useSession();
</script>

<template>
  <div v-if="status === 'authenticated'">
    {{ data?.user?.name }}
    <button @click="signOut({ callbackUrl: '/' })">
      <span>Logout</span>
    </button>
  </div>
</template>
